from swarmauri.standard.messages.base.MessageBase import MessageBase

class SystemMessage(MessageBase):
    """
    SystemMessage class represents a message generated by the system. 
    
    This type of message is used to communicate system-level information such as 
    errors, notifications, or updates to the user. Inherits from the Message base class.
    
    Attributes:
        content (str): The content of the system message.
    """
    
    def __init__(self, content):
        super().__init__(role='system', content=content)
    
